Name:		perl-Meta-Builder
Version:	0.004
Release:	1%{?dist}
Summary:	Tools for creating Meta objects to track custom metrics
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Meta-Builder
Source0:	http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Meta-Builder-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Fennec::Lite)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Meta programming is becoming more and more popular. The popularity of Meta
programming comes from the fact that many problems are made significantly
easier. There are a few specialized Meta tools out there, for instance
Class:MOP, which is used by Moose to track class metadata.

%prep
%setup -q -n Meta-Builder-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc README
%{perl_vendorlib}/Meta/
%{_mandir}/man3/Meta::Builder.3*
%{_mandir}/man3/Meta::Builder::Base.3*
%{_mandir}/man3/Meta::Builder::Util.3*

%changelog
* Tue Nov  6 2018 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - Package standard updates
  - Spelling and documentation fixes

* Fri Apr 27 2018 Paul Howarth <paul@city-fan.org> - 0.003-13
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sat Sep  3 2016 Paul Howarth <paul@city-fan.org> - 0.003-9
- Classify buildreqs by usage

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.003-5
- Perl 5.20 rebuild

* Wed Aug 14 2013 Paul Howarth <paul@city-fan.org> - 0.003-4
- Import from Fedora

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 0.003-2
- Perl 5.18 rebuild

* Fri Jan 18 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-1
- Specfile autogenerated by cpanspec 1.78
